MediaWiki:Mobile.css — различия между версиями

Материал из Enduro.team
Перейти к: навигация, поиск
м
(Метки: правка с мобильного устройства, правка из мобильной версии)
 
(не показаны 92 промежуточные версии этого же участника)
Строка 1: Строка 1:
*/
 
 
/* Mobile template hacks (see phab T56176)
 
If you are looking for the following, please update your template to use TemplateStyles:
 
 
.mobile-float-reset {
 
.mobile-float-reset {
float: none !important;
+
float: center !important;
 
width: 100% !important;
 
width: 100% !important;
 
}
 
}
  
*/
+
@media (max-width: 719px) {
 +
 +
.page-Заглавная_страница .header-container.header-chrome {
 +
box-shadow:none;
 +
}
 +
 +
}
  
 +
.main-top-right > ul {
 +
display: -webkit-box;
 +
display: -webkit-flex;
 +
-webkit-flex-wrap: wrap;
 +
}
  
/* Hide the images */
+
.main-featuredLists > .main-featuredLists-item {
.geo-nondefault, .geo-multi-punct,
+
-webkit-box-align: stretch;
/* Hide stuff meant for accounts with special permissions. Made visible again in
+
-webkit-align-items: stretch;
  [[MediaWiki:Group-sysop.css]], [[MediaWiki:Group-accountcreator.css]] and
+
-webkit-column-break-inside: avoid;
  [[MediaWiki:Group-autoconfirmed.css]]. */
+
display: -webkit-box;
.sysop-show,
+
display: -webkit-flex;
.accountcreator-show,
 
.autoconfirmed-show,
 
/* Copied from Common.css - allow for hiding text in compact form e.g. clean up templates */
 
.hide-when-compact,
 
/* portal pages are badly formatted. Until this changes these should be hidden. (see https://phabricator.wikimedia.org/T86495) */
 
.noprint.portal {
 
display: none;
 
 
}
 
}
  
/* For linked citation numbers and document IDs, where
+
.main-featuredLists-item > img {
  the number need not be shown on a screen or a handheld,
+
-webkit-box-flex: 0;
  but should be included in the printed version
+
-webkit-flex: 0 auto;
TODO: Move to Citation template when templates have stylesheets
 
See https://www.mediawiki.org/wiki/Requests_for_comment/Allow_styling_in_templates
 
*/
 
@media screen, handheld {
 
.citation *.printonly {
 
display: none;
 
}
 
 
}
 
}
/*
+
 
Should be moved into Template:Cite_web
+
.main-footer {
Styling for citations (CSS3). Breaks long urls, etc., rather than overflowing box */
+
display: -webkit-box;
.citation {
+
display: -webkit-flex;
word-wrap: break-word;
+
-webkit-box-pack: end;
 +
-webkit-justify-content: flex-end;
 
}
 
}
  
/*
+
.main-footer-actions {
.infobox
+
-webkit-box-flex: 1;
DO NOT style infobox's here. That should be taken care of in the associated templates via template styles. Styles here will lead to flash of unstyled content on mobile.
+
-webkit-flex: 1;
*/
+
}
  
/* Default styling for Navbar template
+
.main-footer-actions > ul {
TODO: Move to Navbar template ASAP
+
-webkit-box-align: center;
*/
+
-webkit-align-items: center;
.navbar {
+
display: -webkit-box;
display: inline;
+
display: -webkit-flex;
font-size: 88%;
 
font-weight: normal;
 
 
}
 
}
.navbar ul {
+
 
display: inline;
+
.main-footer-menu {
white-space: nowrap;
+
-webkit-box-align: stretch;
 +
-webkit-align-items: stretch;
 +
display: -webkit-box;
 +
display: -webkit-flex;
 
}
 
}
.navbar li {
+
 
word-spacing: -0.125em;
+
.main-footer-menuToggle {
 +
-webkit-box-align: center;
 +
-webkit-align-items: center;
 +
display: -webkit-box;
 +
display: -webkit-flex;
 
}
 
}
.navbar.mini li span {
+
 
font-variant: small-caps;
+
.main-wikimedia-list {
 +
-webkit-column-count: 4;
 +
-webkit-column-width: 15em;
 
}
 
}
/* Navbar styling when nested in infobox and navbox */
+
 
.navbox .navbar,
+
.main-wikimedia-list > .main-wikimedia-listItem {
.infobox .navbar {
+
-webkit-box-align: stretch;
font-size: 100%;
+
-webkit-align-items: stretch;
 +
-webkit-column-break-inside: avoid;
 +
display: -webkit-box;
 +
display: -webkit-flex;
 
}
 
}
.navbox .navbar {
+
 
display: block;
+
.main-wikimedia-listItem > img {
}
+
-webkit-box-flex: 0;
.navbox-title .navbar {
+
-webkit-flex: 0 auto;
/* @noflip */
 
float: left;
 
/* @noflip */
 
text-align: left;
 
/* @noflip */
 
margin-right: 0.5em;
 
width: 6em;
 
}
 
/* Unbulleted lists e.g. Barack Obama page*/
 
.plainlist ul {
 
list-style: none;
 
padding-left: 0; /* Reset Minerva defaults */
 
 
}
 
}
  
.visualhide {
+
.main-wikimedia-listItem > a {
position: absolute;
+
-webkit-box-flex: 1;
left: -10000px;
+
-webkit-flex: 1;
top: auto;
 
width: 1px;
 
height: 1px;
 
overflow: hidden;
 
 
}
 
}
  
/* Geographical coordinates hidden in mobile. Any styles relating to them should be put inside
+
@media (max-width: 719px) {
.[[Template:Coord/link]]
+
.main-wikimedia-list {
*/
+
-webkit-column-width: 10em;
 
 
/* Prevent line breaks in silly places:
 
  1) Where desired
 
  2) Links when we don't want them to
 
  3) Bold "links" to the page itself
 
  4) Ref tags with group names <ref group="Note"> --> "[Note 1]"
 
Please document here what pages use this
 
Enabled
 
*/
 
.mw-parser-output .nowrap,
 
.nowraplinks a,
 
.nowraplinks .selflink,
 
sup.reference a {
 
white-space: nowrap;
 
}
 
.mw-parser-output .infobox .nowrap {
 
white-space: normal !important;
 
 
}
 
}
/* But allow wrapping where desired: */
 
.wrap,
 
.wraplinks a {
 
white-space: normal;
 
 
}
 
}
  
/* hidden sortkey for tablesorter */
+
@media (min-width: 1000px) {
td .sortkey,
+
.main-wrapper {
th .sortkey {
+
display: -webkit-box;
display: none;
+
display: -webkit-flex;
speak: none;
 
 
}
 
}
  
/* Generic class for Times-based serif, texhtml class for inline math */
+
.main-wrapper-column {
.times-serif,
+
-webkit-box-flex: 1;
span.texhtml {
+
-webkit-flex: 1;
font-family: serif;
 
}
 
span.texhtml {
 
white-space: nowrap;
 
 
}
 
}
  
/* Enable custom list style types for lists of references */
+
.main-top {
.reflist ol.references {
+
-webkit-box-align: center;
list-style-type: inherit;
+
-webkit-align-items: center;
 +
display: -webkit-box;
 +
display: -webkit-flex;
 
}
 
}
  
/* Hanging indentation for Template:Refbegin */
+
.main-top-left {
.refbegin-hanging-indents > ul,
+
background-image: -webkit-linear-gradient(left, #f8f9fa 0%, #f8f9fa 70%, rgba(248, 249, 250, 0) 100%);
.refbegin-hanging-indents > dl {
+
-webkit-box-flex: 3;
list-style-type: none;
+
-webkit-flex: 3;
margin-left: 0;
 
 
}
 
}
.refbegin-hanging-indents > ul > li,
+
.refbegin-hanging-indents > dl > dd {
+
.main-top-right {
margin-left: 0;
+
-webkit-box-flex: 2;
padding-left: 1.0em;
+
-webkit-flex: 2;
text-indent: -1.0em;
 
list-style: none;
 
 
}
 
}
  
/* Prevent flags in tables from collapsing
+
.main-top-right > ul {
Fix for T116318
+
-webkit-box-align: center;
*/
+
-webkit-align-items: center;
.flagicon img {
+
-webkit-box-orient: horizontal;
min-width: 25px;
+
-webkit-box-direction: reverse;
 +
-webkit-flex-direction: row-reverse;
 +
-webkit-box-pack: left;
 +
-webkit-justify-content: left;
 
}
 
}
  
/* Prevent unnecessary margin at the bottom of centralnotices */
+
 
.cnotice {
+
 
margin-bottom: 0 !important;
+
a.goog-logo-link img { display: none; }
 +
 
 +
a.goog-logo-link { display: none; }
 +
 
 +
#p-googletranslator-label { display: none; }
 +
 
 +
#p-googletranslator.portal {
 +
    height: 25px;
 +
    width: 90%;
 
}
 
}
  
/**
+
select.goog-te-combo { width: 100%; }
******************DEPRECATED STYLES ************************************
+
 
These styles will be removed shortly. Please see inline comments.
+
div.skiptranslate.goog-te-gadget { font-size:0; }
**/
+
 
 +
td#options { display: none; }
 +
 
 +
div.mw-filepage-resolutioninfo { display: none; }
 +
 
 +
div#mw-imagepage-content.mw-content-ltr { display: none; }
 +
 
 +
#mw-imagepage-nolinkstoimage { display: none; }
 +
 
 +
#filelinks { display: none; }
 +
 
 +
#filehistory { display: none; }
 +
 
 +
#metadata { display: none; }
 +
 
 +
#mw-imagepage-section-filehistory { display: none; }
 +
 
 +
div.mw-imagepage-section-metadata { display: none; }
 +
 
 +
#mw-imagepage-upload-disallowed { display: none; }
 +
 
 +
ul#filetoc { display: none; }
 +
 
 +
div.mediaWarning  { display: none; }
 +
 
 +
.mw-redirectedfrom { display: none; }
 +
 
 +
li#footer-places-privacy { display: none; }
  
 +
div.last-modified-bar { display: none; }
  
/*
+
div#page-secondary-actions.post-content { display: none; }
Generate interpuncts
+
 
FIXME: Move to template.
+
body {
*/
+
  background: url(images/white.jpg) no-repeat center center fixed;
/* Can be removed when T169315 is resolved */
+
  -webkit-background-size: cover;
#content .hlist-separated li:after {
+
  -moz-background-size: cover;
font-size: 0.8em;
+
  -o-background-size: cover;
color: #333;
+
  background-size: cover;
 
}
 
}
/*
+
div#mw-page-base { opacity: 0.01; }
FIXME: DUPLICATES Template:Hlist/styles.css
+
div#content.mw-body { opacity: 0.9; }
Note the mobile skin provides a `hlist-separated` class for this purpose. Use this class name alongside the hlist class instead as this will result in a FOUC.
+
 
Should be removed and moved to templates.
+
@media (prefers-color-scheme: dark) {
*/
+
 
/* Counter hlist indenting of Minerva*/
+
body {
.mw-parser-output .hlist ul,
+
  background: url(images/black.jpg) no-repeat center center fixed;
.mw-parser-output .hlist ol {
+
  -webkit-background-size: cover;
padding-left: 0;
+
  -moz-background-size: cover;
 +
  -o-background-size: cover;
 +
  background-size: cover;
 +
  background-color: #181818;
 
}
 
}
/* reset hlist margins of Minerva */
+
 
.mw-parser-output .hlist li,
+
html:not(img):not(video):not(.all-color-critical-elements) {  
.mw-parser-output .hlist dd,
+
      background: black;
.mw-parser-output .hlist dt {
+
      filter: invert(1) hue-rotate(180deg);
margin-right: 0;
 
}
 
.mw-parser-output .hlist li:after,
 
.mw-parser-output .hlist dd:after {
 
content: " · ";
 
font-weight: bold;
 
 
}
 
}
.mw-parser-output .hlist dt:after {
+
img, form {
content: ": ";
+
    filter: invert(1) hue-rotate(-180deg);
 
}
 
}
/* Should be removed and moved to templates once TemplateStyles is live */
 
  
.heading-holder hlist li:after,
 
.mw-parser-output .hlist dd:last-child:after,
 
.mw-parser-output .hlist dt:last-child:after,
 
.mw-parser-output .hlist li:last-child:after {
 
content: none;
 
}
 
/* Add parentheses around nested lists */
 
/* Should be removed and moved to templates once TemplateStyles is live */
 
.mw-parser-output .hlist dd dd:first-child:before, .mw-parser-output .hlist dd dt:first-child:before, .mw-parser-output .hlist dd li:first-child:before,
 
.mw-parser-output .hlist dt dd:first-child:before, .mw-parser-output .hlist dt dt:first-child:before, .mw-parser-output .hlist dt li:first-child:before,
 
.mw-parser-output .hlist li dd:first-child:before, .mw-parser-output .hlist li dt:first-child:before, .mw-parser-output .hlist li li:first-child:before {
 
content: " (";
 
font-weight: normal;
 
}
 
/* Should be removed and moved to templates once TemplateStyles is live */
 
.mw-parser-output .hlist dd dd:last-child:after, .mw-parser-output .hlist dd dt:last-child:after, .mw-parser-output .hlist dd li:last-child:after,
 
.mw-parser-output .hlist dt dd:last-child:after, .mw-parser-output .hlist dt dt:last-child:after, .mw-parser-output .hlist dt li:last-child:after,
 
.mw-parser-output .hlist li dd:last-child:after, .mw-parser-output .hlist li dt:last-child:after, .mw-parser-output .hlist li li:last-child:after {
 
content: ") ";
 
font-weight: normal;
 
}
 
/* Put ordinals in front of ordered list items */
 
/* Should be removed and moved to templates once TemplateStyles is live */
 
.mw-parser-output .hlist ol {
 
counter-reset: listitem;
 
}
 
/* Should be removed and moved to templates once TemplateStyles is live */
 
.mw-parser-output .hlist ol > li {
 
counter-increment: listitem;
 
}
 
/* Should be removed and moved to templates once TemplateStyles is live */
 
.mw-parser-output .hlist ol > li:before {
 
content: " " counter(listitem) " ";
 
white-space: nowrap;
 
}
 
/* Should be removed and moved to templates once TemplateStyles is live */
 
.mw-parser-output .hlist dd ol > li:first-child:before,
 
.mw-parser-output .hlist dt ol > li:first-child:before,
 
.mw-parser-output .hlist li ol > li:first-child:before {
 
content: " (" counter(listitem) " ";
 
 
}
 
}

Текущая версия на 17:24, 10 января 2021

.mobile-float-reset {
	float: center !important;
	width: 100% !important;
}

@media (max-width: 719px) {
	
	.page-Заглавная_страница .header-container.header-chrome {
		box-shadow:none; 
	}
	
}

.main-top-right > ul {
	display: -webkit-box;
	display: -webkit-flex;
	-webkit-flex-wrap: wrap;
}

.main-featuredLists > .main-featuredLists-item {
	-webkit-box-align: stretch;
	-webkit-align-items: stretch;
	-webkit-column-break-inside: avoid;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-featuredLists-item > img {
	-webkit-box-flex: 0;
	-webkit-flex: 0 auto;
}

.main-footer {
	display: -webkit-box;
	display: -webkit-flex;
	-webkit-box-pack: end;
	-webkit-justify-content: flex-end;
}

.main-footer-actions {
	-webkit-box-flex: 1;
	-webkit-flex: 1;
}

.main-footer-actions > ul {
	-webkit-box-align: center;
	-webkit-align-items: center;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-footer-menu {
	-webkit-box-align: stretch;
	-webkit-align-items: stretch;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-footer-menuToggle {
	-webkit-box-align: center;
	-webkit-align-items: center;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-wikimedia-list {
	-webkit-column-count: 4;
	-webkit-column-width: 15em;
}

.main-wikimedia-list > .main-wikimedia-listItem {
	-webkit-box-align: stretch;
	-webkit-align-items: stretch;
	-webkit-column-break-inside: avoid;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-wikimedia-listItem > img {
	-webkit-box-flex: 0;
	-webkit-flex: 0 auto;
}

.main-wikimedia-listItem > a {
	-webkit-box-flex: 1;
	-webkit-flex: 1;
}

@media (max-width: 719px) {
	.main-wikimedia-list {
	-webkit-column-width: 10em;
}
}

@media (min-width: 1000px) {
	.main-wrapper {
	display: -webkit-box;
	display: -webkit-flex;
}

.main-wrapper-column {
	-webkit-box-flex: 1;
	-webkit-flex: 1;
}

.main-top {
	-webkit-box-align: center;
	-webkit-align-items: center;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-top-left {
	background-image: -webkit-linear-gradient(left, #f8f9fa 0%, #f8f9fa 70%, rgba(248, 249, 250, 0) 100%);
	-webkit-box-flex: 3;
	-webkit-flex: 3;
}
	
.main-top-right {
	-webkit-box-flex: 2;
	-webkit-flex: 2;
}

.main-top-right > ul {
	-webkit-box-align: center;
	-webkit-align-items: center;
	-webkit-box-orient: horizontal;
	-webkit-box-direction: reverse;
	-webkit-flex-direction: row-reverse;
	-webkit-box-pack: left;
	-webkit-justify-content: left;
}



a.goog-logo-link img { display: none; }

a.goog-logo-link { display: none; }

#p-googletranslator-label { display: none; }

#p-googletranslator.portal {
    height: 25px;
    width: 90%;
}

select.goog-te-combo { width: 100%; }

div.skiptranslate.goog-te-gadget { font-size:0; }

td#options { display: none; }

div.mw-filepage-resolutioninfo { display: none; }

div#mw-imagepage-content.mw-content-ltr { display: none; }

#mw-imagepage-nolinkstoimage { display: none; }

#filelinks { display: none; }

#filehistory { display: none; }

#metadata { display: none; }

#mw-imagepage-section-filehistory { display: none; }

div.mw-imagepage-section-metadata { display: none; }

#mw-imagepage-upload-disallowed { display: none; }

ul#filetoc { display: none; }

div.mediaWarning  { display: none; }

.mw-redirectedfrom { display: none; }

li#footer-places-privacy { display: none; }

div.last-modified-bar { display: none; }

div#page-secondary-actions.post-content { display: none; }

body { 
  background: url(images/white.jpg) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}
div#mw-page-base { opacity: 0.01; }
div#content.mw-body { opacity: 0.9; }

@media (prefers-color-scheme: dark) {

body { 
  background: url(images/black.jpg) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  background-color: #181818;
}

html:not(img):not(video):not(.all-color-critical-elements) { 
       background: black;
       filter: invert(1) hue-rotate(180deg);
}
img, form {
    filter: invert(1) hue-rotate(-180deg);
}

}